Package org.python.core.util

# Class StringUtil

java.lang.Object
org.python.core.util.StringUtil

public class StringUtil extends Object
String Utility methods.

## Constructor Summary

Constructors
Constructor
Description
`StringUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`decapitalize(String string)`
Decapitalize a String if it begins with a capital letter, e.g.: `decapitalize("FooBar") == "fooBar"`
`static String`
`fromBytes(byte[] buf)`
Return a new String with chars corresponding to buf.
`static String`
`fromBytes(byte[] buf, int off, int len)`
Return a new String with chars corresponding to buf from off to off + len.
`static String`
`fromBytes(ByteBuffer buf)`
Return a new String with chars corresponding to buf.
`static String`
`fromBytes(BaseBytes b)`
Return a new String with chars corresponding to b.
`static String`
`fromBytes(PyBuffer buf)`
Return a new String with chars corresponding to buf, which is a byte-oriented buffer obtained through the buffer API.
`static byte[]`
`toBytes(String string)`
Encodes this String into a sequence of bytes.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringUtil

public StringUtil()

## Method Details

### toBytes

public static byte[] toBytes(String string)
Encodes this String into a sequence of bytes. Each byte contains the low-order bits of its corresponding char.

Parameters:
  `string` - a String value
Returns:
  a byte array with one byte for each char in string

### fromBytes

public static String fromBytes(byte[] buf, int off, int len)
Return a new String with chars corresponding to buf from off to off + len.

Parameters:
  `buf` - an array of bytes
  `off` - the initial offset
  `len` - the length
Returns:
  a new String corresponding to the bytes in buf

### fromBytes

public static String fromBytes(byte[] buf)
Return a new String with chars corresponding to buf.

Parameters:
  `buf` - an array of bytes
Returns:
  a new String corresponding to the bytes in buf

### fromBytes

public static String fromBytes(ByteBuffer buf)
Return a new String with chars corresponding to buf.

Parameters:
  `buf` - a ByteBuffer of bytes
Returns:
  a new String corresponding to the bytes in buf

### fromBytes

public static String fromBytes(PyBuffer buf)
Return a new String with chars corresponding to buf, which is a byte-oriented buffer obtained through the buffer API. It depends on the implementation of `PyBuffer.toString()` provided by each buffer implementation.

Parameters:
  `buf` - a PyBuffer of bytes
Returns:
  a new String corresponding to the bytes in buf

### fromBytes

public static String fromBytes(BaseBytes b)
Return a new String with chars corresponding to b.

Parameters:
  `b` - a BaseBytes containing bytes
Returns:
  a new String corresponding to the bytes in b

### decapitalize

public static String decapitalize(String string)
Decapitalize a String if it begins with a capital letter, e.g.: `decapitalize("FooBar") == "fooBar"`

Parameters:
  `string` - a String
Returns:
  a decapitalized String